import * as tslib_1 from "tslib";
import { IgcCancelEventArgs } from "igniteui-webcomponents-core";
/**
 * Event arguments for the
 * hyperlinkExecuting event.
*/
var IgcSpreadsheetHyperlinkExecutingEventArgs = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(IgcSpreadsheetHyperlinkExecutingEventArgs, _super);
    function IgcSpreadsheetHyperlinkExecutingEventArgs() {
        return _super.call(this) || this;
    }
    Object.defineProperty(IgcSpreadsheetHyperlinkExecutingEventArgs.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgcSpreadsheetHyperlinkExecutingEventArgs.prototype, "hyperlink", {
        /**
         * Returns the hyperlink to be executed.
        */
        get: function () {
            return this.i.hyperlink;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(IgcSpreadsheetHyperlinkExecutingEventArgs.prototype, "workingDirectory", {
        /**
         * Returns or sets the working directory to use when the hyperlink is a file reference.
        */
        get: function () {
            return this.i.workingDirectory;
        },
        set: function (v) {
            this.i.workingDirectory = v;
        },
        enumerable: true,
        configurable: true
    });
    return IgcSpreadsheetHyperlinkExecutingEventArgs;
}(IgcCancelEventArgs));
export { IgcSpreadsheetHyperlinkExecutingEventArgs };
